# coding: utf-8
lib = File.expand_path('../lib', __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'resta/version'

Gem::Specification.new do |spec|
  spec.name          = "resta"
  spec.version       = Resta::VERSION
  spec.authors       = ["Vincent Ting"]
  spec.email         = ["homerdd at gmail.com"]

  spec.description   = %q{Sinatra based web server that turns your sequel model directly into a RESTful API.}
  spec.summary       = spec.description
  spec.homepage      = "https://github.com/waiiio/resta"
  spec.license       = "MIT"

  spec.files         = `git ls-files -z`.split("\x0").reject { |f| f.match(%r{^(test|spec|features)/}) }
  spec.bindir        = "exe"
  spec.executables   = spec.files.grep(%r{^exe/}) { |f| File.basename(f) }
  spec.require_paths = ["lib"]

  spec.add_development_dependency "bundler", "~> 1.11"
  spec.add_development_dependency "rake", "~> 10.0"
   if RUBY_PLATFORM == 'java'
    spec.add_development_dependency "jdbc-sqlite3", "~> 3.8"
   else
    spec.add_development_dependency "sqlite3", "~> 1.3"
    spec.add_development_dependency "cane", "~> 2.6"
   end
  spec.add_development_dependency "minitest", "~> 5.0"
  spec.add_development_dependency "simplecov", "~> 0.11.1"
  spec.add_development_dependency "coveralls", "~> 0.8.2"
end
